Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network232.87.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
232.87.0.0
Broadcast address
232.87.127.255
First usable
232.87.0.1
Last usable
232.87.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex E8570000 · Integer 3898015744 to 3898048511
Reverse DNS zones
0.87.232.in-addr.arpa
1.87.232.in-addr.arpa
2.87.232.in-addr.arpa
3.87.232.in-addr.arpa
4.87.232.in-addr.arpa
5.87.232.in-addr.arpa
6.87.232.in-addr.arpa
7.87.232.in-addr.arpa
8.87.232.in-addr.arpa
9.87.232.in-addr.arpa
10.87.232.in-addr.arpa
11.87.232.in-addr.arpa
12.87.232.in-addr.arpa
13.87.232.in-addr.arpa
14.87.232.in-addr.arpa
15.87.232.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101000.01010111.00000000.00000000232.87.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network11101000.01010111.00000000.00000000232.87.0.0
Broadcast11101000.01010111.01111111.11111111232.87.127.255
Split into smaller subnets/29

232.87.0.0/17 makes 4,096 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1232.87.0.0/29232.87.0.1 to 232.87.0.6232.87.0.76
2232.87.0.8/29232.87.0.9 to 232.87.0.14232.87.0.156
3232.87.0.16/29232.87.0.17 to 232.87.0.22232.87.0.236
4232.87.0.24/29232.87.0.25 to 232.87.0.30232.87.0.316
5232.87.0.32/29232.87.0.33 to 232.87.0.38232.87.0.396
6232.87.0.40/29232.87.0.41 to 232.87.0.46232.87.0.476
7232.87.0.48/29232.87.0.49 to 232.87.0.54232.87.0.556
8232.87.0.56/29232.87.0.57 to 232.87.0.62232.87.0.636
9232.87.0.64/29232.87.0.65 to 232.87.0.70232.87.0.716
10232.87.0.72/29232.87.0.73 to 232.87.0.78232.87.0.796
11232.87.0.80/29232.87.0.81 to 232.87.0.86232.87.0.876
12232.87.0.88/29232.87.0.89 to 232.87.0.94232.87.0.956
13232.87.0.96/29232.87.0.97 to 232.87.0.102232.87.0.1036
14232.87.0.104/29232.87.0.105 to 232.87.0.110232.87.0.1116
15232.87.0.112/29232.87.0.113 to 232.87.0.118232.87.0.1196
16232.87.0.120/29232.87.0.121 to 232.87.0.126232.87.0.1276
17232.87.0.128/29232.87.0.129 to 232.87.0.134232.87.0.1356
18232.87.0.136/29232.87.0.137 to 232.87.0.142232.87.0.1436
19232.87.0.144/29232.87.0.145 to 232.87.0.150232.87.0.1516
20232.87.0.152/29232.87.0.153 to 232.87.0.158232.87.0.1596
21232.87.0.160/29232.87.0.161 to 232.87.0.166232.87.0.1676
22232.87.0.168/29232.87.0.169 to 232.87.0.174232.87.0.1756
23232.87.0.176/29232.87.0.177 to 232.87.0.182232.87.0.1836
24232.87.0.184/29232.87.0.185 to 232.87.0.190232.87.0.1916
25232.87.0.192/29232.87.0.193 to 232.87.0.198232.87.0.1996
26232.87.0.200/29232.87.0.201 to 232.87.0.206232.87.0.2076
27232.87.0.208/29232.87.0.209 to 232.87.0.214232.87.0.2156
28232.87.0.216/29232.87.0.217 to 232.87.0.222232.87.0.2236
29232.87.0.224/29232.87.0.225 to 232.87.0.230232.87.0.2316
30232.87.0.232/29232.87.0.233 to 232.87.0.238232.87.0.2396
31232.87.0.240/29232.87.0.241 to 232.87.0.246232.87.0.2476
32232.87.0.248/29232.87.0.249 to 232.87.0.254232.87.0.2556
33232.87.1.0/29232.87.1.1 to 232.87.1.6232.87.1.76
34232.87.1.8/29232.87.1.9 to 232.87.1.14232.87.1.156
35232.87.1.16/29232.87.1.17 to 232.87.1.22232.87.1.236
36232.87.1.24/29232.87.1.25 to 232.87.1.30232.87.1.316
37232.87.1.32/29232.87.1.33 to 232.87.1.38232.87.1.396
38232.87.1.40/29232.87.1.41 to 232.87.1.46232.87.1.476
39232.87.1.48/29232.87.1.49 to 232.87.1.54232.87.1.556
40232.87.1.56/29232.87.1.57 to 232.87.1.62232.87.1.636
41232.87.1.64/29232.87.1.65 to 232.87.1.70232.87.1.716
42232.87.1.72/29232.87.1.73 to 232.87.1.78232.87.1.796
43232.87.1.80/29232.87.1.81 to 232.87.1.86232.87.1.876
44232.87.1.88/29232.87.1.89 to 232.87.1.94232.87.1.956
45232.87.1.96/29232.87.1.97 to 232.87.1.102232.87.1.1036
46232.87.1.104/29232.87.1.105 to 232.87.1.110232.87.1.1116
47232.87.1.112/29232.87.1.113 to 232.87.1.118232.87.1.1196
48232.87.1.120/29232.87.1.121 to 232.87.1.126232.87.1.1276
49232.87.1.128/29232.87.1.129 to 232.87.1.134232.87.1.1356
50232.87.1.136/29232.87.1.137 to 232.87.1.142232.87.1.1436
51232.87.1.144/29232.87.1.145 to 232.87.1.150232.87.1.1516
52232.87.1.152/29232.87.1.153 to 232.87.1.158232.87.1.1596
53232.87.1.160/29232.87.1.161 to 232.87.1.166232.87.1.1676
54232.87.1.168/29232.87.1.169 to 232.87.1.174232.87.1.1756
55232.87.1.176/29232.87.1.177 to 232.87.1.182232.87.1.1836
56232.87.1.184/29232.87.1.185 to 232.87.1.190232.87.1.1916
57232.87.1.192/29232.87.1.193 to 232.87.1.198232.87.1.1996
58232.87.1.200/29232.87.1.201 to 232.87.1.206232.87.1.2076
59232.87.1.208/29232.87.1.209 to 232.87.1.214232.87.1.2156
60232.87.1.216/29232.87.1.217 to 232.87.1.222232.87.1.2236
61232.87.1.224/29232.87.1.225 to 232.87.1.230232.87.1.2316
62232.87.1.232/29232.87.1.233 to 232.87.1.238232.87.1.2396
63232.87.1.240/29232.87.1.241 to 232.87.1.246232.87.1.2476
64232.87.1.248/29232.87.1.249 to 232.87.1.254232.87.1.2556
65232.87.2.0/29232.87.2.1 to 232.87.2.6232.87.2.76
66232.87.2.8/29232.87.2.9 to 232.87.2.14232.87.2.156
67232.87.2.16/29232.87.2.17 to 232.87.2.22232.87.2.236
68232.87.2.24/29232.87.2.25 to 232.87.2.30232.87.2.316
69232.87.2.32/29232.87.2.33 to 232.87.2.38232.87.2.396
70232.87.2.40/29232.87.2.41 to 232.87.2.46232.87.2.476
71232.87.2.48/29232.87.2.49 to 232.87.2.54232.87.2.556
72232.87.2.56/29232.87.2.57 to 232.87.2.62232.87.2.636
73232.87.2.64/29232.87.2.65 to 232.87.2.70232.87.2.716
74232.87.2.72/29232.87.2.73 to 232.87.2.78232.87.2.796
75232.87.2.80/29232.87.2.81 to 232.87.2.86232.87.2.876
76232.87.2.88/29232.87.2.89 to 232.87.2.94232.87.2.956
77232.87.2.96/29232.87.2.97 to 232.87.2.102232.87.2.1036
78232.87.2.104/29232.87.2.105 to 232.87.2.110232.87.2.1116
79232.87.2.112/29232.87.2.113 to 232.87.2.118232.87.2.1196
80232.87.2.120/29232.87.2.121 to 232.87.2.126232.87.2.1276
81232.87.2.128/29232.87.2.129 to 232.87.2.134232.87.2.1356
82232.87.2.136/29232.87.2.137 to 232.87.2.142232.87.2.1436
83232.87.2.144/29232.87.2.145 to 232.87.2.150232.87.2.1516
84232.87.2.152/29232.87.2.153 to 232.87.2.158232.87.2.1596
85232.87.2.160/29232.87.2.161 to 232.87.2.166232.87.2.1676
86232.87.2.168/29232.87.2.169 to 232.87.2.174232.87.2.1756
87232.87.2.176/29232.87.2.177 to 232.87.2.182232.87.2.1836
88232.87.2.184/29232.87.2.185 to 232.87.2.190232.87.2.1916
89232.87.2.192/29232.87.2.193 to 232.87.2.198232.87.2.1996
90232.87.2.200/29232.87.2.201 to 232.87.2.206232.87.2.2076
91232.87.2.208/29232.87.2.209 to 232.87.2.214232.87.2.2156
92232.87.2.216/29232.87.2.217 to 232.87.2.222232.87.2.2236
93232.87.2.224/29232.87.2.225 to 232.87.2.230232.87.2.2316
94232.87.2.232/29232.87.2.233 to 232.87.2.238232.87.2.2396
95232.87.2.240/29232.87.2.241 to 232.87.2.246232.87.2.2476
96232.87.2.248/29232.87.2.249 to 232.87.2.254232.87.2.2556
97232.87.3.0/29232.87.3.1 to 232.87.3.6232.87.3.76
98232.87.3.8/29232.87.3.9 to 232.87.3.14232.87.3.156
99232.87.3.16/29232.87.3.17 to 232.87.3.22232.87.3.236
100232.87.3.24/29232.87.3.25 to 232.87.3.30232.87.3.316
101232.87.3.32/29232.87.3.33 to 232.87.3.38232.87.3.396
102232.87.3.40/29232.87.3.41 to 232.87.3.46232.87.3.476
103232.87.3.48/29232.87.3.49 to 232.87.3.54232.87.3.556
104232.87.3.56/29232.87.3.57 to 232.87.3.62232.87.3.636
105232.87.3.64/29232.87.3.65 to 232.87.3.70232.87.3.716
106232.87.3.72/29232.87.3.73 to 232.87.3.78232.87.3.796
107232.87.3.80/29232.87.3.81 to 232.87.3.86232.87.3.876
108232.87.3.88/29232.87.3.89 to 232.87.3.94232.87.3.956
109232.87.3.96/29232.87.3.97 to 232.87.3.102232.87.3.1036
110232.87.3.104/29232.87.3.105 to 232.87.3.110232.87.3.1116
111232.87.3.112/29232.87.3.113 to 232.87.3.118232.87.3.1196
112232.87.3.120/29232.87.3.121 to 232.87.3.126232.87.3.1276
113232.87.3.128/29232.87.3.129 to 232.87.3.134232.87.3.1356
114232.87.3.136/29232.87.3.137 to 232.87.3.142232.87.3.1436
115232.87.3.144/29232.87.3.145 to 232.87.3.150232.87.3.1516
116232.87.3.152/29232.87.3.153 to 232.87.3.158232.87.3.1596
117232.87.3.160/29232.87.3.161 to 232.87.3.166232.87.3.1676
118232.87.3.168/29232.87.3.169 to 232.87.3.174232.87.3.1756
119232.87.3.176/29232.87.3.177 to 232.87.3.182232.87.3.1836
120232.87.3.184/29232.87.3.185 to 232.87.3.190232.87.3.1916
121232.87.3.192/29232.87.3.193 to 232.87.3.198232.87.3.1996
122232.87.3.200/29232.87.3.201 to 232.87.3.206232.87.3.2076
123232.87.3.208/29232.87.3.209 to 232.87.3.214232.87.3.2156
124232.87.3.216/29232.87.3.217 to 232.87.3.222232.87.3.2236
125232.87.3.224/29232.87.3.225 to 232.87.3.230232.87.3.2316
126232.87.3.232/29232.87.3.233 to 232.87.3.238232.87.3.2396
127232.87.3.240/29232.87.3.241 to 232.87.3.246232.87.3.2476
128232.87.3.248/29232.87.3.249 to 232.87.3.254232.87.3.2556
129232.87.4.0/29232.87.4.1 to 232.87.4.6232.87.4.76
130232.87.4.8/29232.87.4.9 to 232.87.4.14232.87.4.156
131232.87.4.16/29232.87.4.17 to 232.87.4.22232.87.4.236
132232.87.4.24/29232.87.4.25 to 232.87.4.30232.87.4.316
133232.87.4.32/29232.87.4.33 to 232.87.4.38232.87.4.396
134232.87.4.40/29232.87.4.41 to 232.87.4.46232.87.4.476
135232.87.4.48/29232.87.4.49 to 232.87.4.54232.87.4.556
136232.87.4.56/29232.87.4.57 to 232.87.4.62232.87.4.636
137232.87.4.64/29232.87.4.65 to 232.87.4.70232.87.4.716
138232.87.4.72/29232.87.4.73 to 232.87.4.78232.87.4.796
139232.87.4.80/29232.87.4.81 to 232.87.4.86232.87.4.876
140232.87.4.88/29232.87.4.89 to 232.87.4.94232.87.4.956
141232.87.4.96/29232.87.4.97 to 232.87.4.102232.87.4.1036
142232.87.4.104/29232.87.4.105 to 232.87.4.110232.87.4.1116
143232.87.4.112/29232.87.4.113 to 232.87.4.118232.87.4.1196
144232.87.4.120/29232.87.4.121 to 232.87.4.126232.87.4.1276
145232.87.4.128/29232.87.4.129 to 232.87.4.134232.87.4.1356
146232.87.4.136/29232.87.4.137 to 232.87.4.142232.87.4.1436
147232.87.4.144/29232.87.4.145 to 232.87.4.150232.87.4.1516
148232.87.4.152/29232.87.4.153 to 232.87.4.158232.87.4.1596
149232.87.4.160/29232.87.4.161 to 232.87.4.166232.87.4.1676
150232.87.4.168/29232.87.4.169 to 232.87.4.174232.87.4.1756
151232.87.4.176/29232.87.4.177 to 232.87.4.182232.87.4.1836
152232.87.4.184/29232.87.4.185 to 232.87.4.190232.87.4.1916
153232.87.4.192/29232.87.4.193 to 232.87.4.198232.87.4.1996
154232.87.4.200/29232.87.4.201 to 232.87.4.206232.87.4.2076
155232.87.4.208/29232.87.4.209 to 232.87.4.214232.87.4.2156
156232.87.4.216/29232.87.4.217 to 232.87.4.222232.87.4.2236
157232.87.4.224/29232.87.4.225 to 232.87.4.230232.87.4.2316
158232.87.4.232/29232.87.4.233 to 232.87.4.238232.87.4.2396
159232.87.4.240/29232.87.4.241 to 232.87.4.246232.87.4.2476
160232.87.4.248/29232.87.4.249 to 232.87.4.254232.87.4.2556
161232.87.5.0/29232.87.5.1 to 232.87.5.6232.87.5.76
162232.87.5.8/29232.87.5.9 to 232.87.5.14232.87.5.156
163232.87.5.16/29232.87.5.17 to 232.87.5.22232.87.5.236
164232.87.5.24/29232.87.5.25 to 232.87.5.30232.87.5.316
165232.87.5.32/29232.87.5.33 to 232.87.5.38232.87.5.396
166232.87.5.40/29232.87.5.41 to 232.87.5.46232.87.5.476
167232.87.5.48/29232.87.5.49 to 232.87.5.54232.87.5.556
168232.87.5.56/29232.87.5.57 to 232.87.5.62232.87.5.636
169232.87.5.64/29232.87.5.65 to 232.87.5.70232.87.5.716
170232.87.5.72/29232.87.5.73 to 232.87.5.78232.87.5.796
171232.87.5.80/29232.87.5.81 to 232.87.5.86232.87.5.876
172232.87.5.88/29232.87.5.89 to 232.87.5.94232.87.5.956
173232.87.5.96/29232.87.5.97 to 232.87.5.102232.87.5.1036
174232.87.5.104/29232.87.5.105 to 232.87.5.110232.87.5.1116
175232.87.5.112/29232.87.5.113 to 232.87.5.118232.87.5.1196
176232.87.5.120/29232.87.5.121 to 232.87.5.126232.87.5.1276
177232.87.5.128/29232.87.5.129 to 232.87.5.134232.87.5.1356
178232.87.5.136/29232.87.5.137 to 232.87.5.142232.87.5.1436
179232.87.5.144/29232.87.5.145 to 232.87.5.150232.87.5.1516
180232.87.5.152/29232.87.5.153 to 232.87.5.158232.87.5.1596
181232.87.5.160/29232.87.5.161 to 232.87.5.166232.87.5.1676
182232.87.5.168/29232.87.5.169 to 232.87.5.174232.87.5.1756
183232.87.5.176/29232.87.5.177 to 232.87.5.182232.87.5.1836
184232.87.5.184/29232.87.5.185 to 232.87.5.190232.87.5.1916
185232.87.5.192/29232.87.5.193 to 232.87.5.198232.87.5.1996
186232.87.5.200/29232.87.5.201 to 232.87.5.206232.87.5.2076
187232.87.5.208/29232.87.5.209 to 232.87.5.214232.87.5.2156
188232.87.5.216/29232.87.5.217 to 232.87.5.222232.87.5.2236
189232.87.5.224/29232.87.5.225 to 232.87.5.230232.87.5.2316
190232.87.5.232/29232.87.5.233 to 232.87.5.238232.87.5.2396
191232.87.5.240/29232.87.5.241 to 232.87.5.246232.87.5.2476
192232.87.5.248/29232.87.5.249 to 232.87.5.254232.87.5.2556
193232.87.6.0/29232.87.6.1 to 232.87.6.6232.87.6.76
194232.87.6.8/29232.87.6.9 to 232.87.6.14232.87.6.156
195232.87.6.16/29232.87.6.17 to 232.87.6.22232.87.6.236
196232.87.6.24/29232.87.6.25 to 232.87.6.30232.87.6.316
197232.87.6.32/29232.87.6.33 to 232.87.6.38232.87.6.396
198232.87.6.40/29232.87.6.41 to 232.87.6.46232.87.6.476
199232.87.6.48/29232.87.6.49 to 232.87.6.54232.87.6.556
200232.87.6.56/29232.87.6.57 to 232.87.6.62232.87.6.636
201232.87.6.64/29232.87.6.65 to 232.87.6.70232.87.6.716
202232.87.6.72/29232.87.6.73 to 232.87.6.78232.87.6.796
203232.87.6.80/29232.87.6.81 to 232.87.6.86232.87.6.876
204232.87.6.88/29232.87.6.89 to 232.87.6.94232.87.6.956
205232.87.6.96/29232.87.6.97 to 232.87.6.102232.87.6.1036
206232.87.6.104/29232.87.6.105 to 232.87.6.110232.87.6.1116
207232.87.6.112/29232.87.6.113 to 232.87.6.118232.87.6.1196
208232.87.6.120/29232.87.6.121 to 232.87.6.126232.87.6.1276
209232.87.6.128/29232.87.6.129 to 232.87.6.134232.87.6.1356
210232.87.6.136/29232.87.6.137 to 232.87.6.142232.87.6.1436
211232.87.6.144/29232.87.6.145 to 232.87.6.150232.87.6.1516
212232.87.6.152/29232.87.6.153 to 232.87.6.158232.87.6.1596
213232.87.6.160/29232.87.6.161 to 232.87.6.166232.87.6.1676
214232.87.6.168/29232.87.6.169 to 232.87.6.174232.87.6.1756
215232.87.6.176/29232.87.6.177 to 232.87.6.182232.87.6.1836
216232.87.6.184/29232.87.6.185 to 232.87.6.190232.87.6.1916
217232.87.6.192/29232.87.6.193 to 232.87.6.198232.87.6.1996
218232.87.6.200/29232.87.6.201 to 232.87.6.206232.87.6.2076
219232.87.6.208/29232.87.6.209 to 232.87.6.214232.87.6.2156
220232.87.6.216/29232.87.6.217 to 232.87.6.222232.87.6.2236
221232.87.6.224/29232.87.6.225 to 232.87.6.230232.87.6.2316
222232.87.6.232/29232.87.6.233 to 232.87.6.238232.87.6.2396
223232.87.6.240/29232.87.6.241 to 232.87.6.246232.87.6.2476
224232.87.6.248/29232.87.6.249 to 232.87.6.254232.87.6.2556
225232.87.7.0/29232.87.7.1 to 232.87.7.6232.87.7.76
226232.87.7.8/29232.87.7.9 to 232.87.7.14232.87.7.156
227232.87.7.16/29232.87.7.17 to 232.87.7.22232.87.7.236
228232.87.7.24/29232.87.7.25 to 232.87.7.30232.87.7.316
229232.87.7.32/29232.87.7.33 to 232.87.7.38232.87.7.396
230232.87.7.40/29232.87.7.41 to 232.87.7.46232.87.7.476
231232.87.7.48/29232.87.7.49 to 232.87.7.54232.87.7.556
232232.87.7.56/29232.87.7.57 to 232.87.7.62232.87.7.636
233232.87.7.64/29232.87.7.65 to 232.87.7.70232.87.7.716
234232.87.7.72/29232.87.7.73 to 232.87.7.78232.87.7.796
235232.87.7.80/29232.87.7.81 to 232.87.7.86232.87.7.876
236232.87.7.88/29232.87.7.89 to 232.87.7.94232.87.7.956
237232.87.7.96/29232.87.7.97 to 232.87.7.102232.87.7.1036
238232.87.7.104/29232.87.7.105 to 232.87.7.110232.87.7.1116
239232.87.7.112/29232.87.7.113 to 232.87.7.118232.87.7.1196
240232.87.7.120/29232.87.7.121 to 232.87.7.126232.87.7.1276
241232.87.7.128/29232.87.7.129 to 232.87.7.134232.87.7.1356
242232.87.7.136/29232.87.7.137 to 232.87.7.142232.87.7.1436
243232.87.7.144/29232.87.7.145 to 232.87.7.150232.87.7.1516
244232.87.7.152/29232.87.7.153 to 232.87.7.158232.87.7.1596
245232.87.7.160/29232.87.7.161 to 232.87.7.166232.87.7.1676
246232.87.7.168/29232.87.7.169 to 232.87.7.174232.87.7.1756
247232.87.7.176/29232.87.7.177 to 232.87.7.182232.87.7.1836
248232.87.7.184/29232.87.7.185 to 232.87.7.190232.87.7.1916
249232.87.7.192/29232.87.7.193 to 232.87.7.198232.87.7.1996
250232.87.7.200/29232.87.7.201 to 232.87.7.206232.87.7.2076
251232.87.7.208/29232.87.7.209 to 232.87.7.214232.87.7.2156
252232.87.7.216/29232.87.7.217 to 232.87.7.222232.87.7.2236
253232.87.7.224/29232.87.7.225 to 232.87.7.230232.87.7.2316
254232.87.7.232/29232.87.7.233 to 232.87.7.238232.87.7.2396
255232.87.7.240/29232.87.7.241 to 232.87.7.246232.87.7.2476
256232.87.7.248/29232.87.7.249 to 232.87.7.254232.87.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses